Sabnzbd Plugin install error

  • @jhmiller you commited to master apparently. That's 3.0. David splitter the repo with 2.0 so I could fix the postinst issue two weeks ago. Can you backport these commits to the 2.0 branch?
    the new package


    I added to both 2.0 and the master branches.

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • Is it all set to just click to upgrade now? Will settings be migrated?


    If you are running the latest 1.0.9 version of the plugin then you can upgrade to the latest version of Sabnzbd. All setting will remain set.

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • @jhmiller Am on 0.7.20 the last version before 1.0 how do I get this upgraded properly


    If your using the latest plugin version (1.0.9) you should be able to just click the upgrade button.


    If you cant install 1.0.9 or it does not upgrade you could do it manually but i don't want to say hear in case people muck up their installs and just say Miller "said to do it"
    PM me if you want instructions @chclark ONLY

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • If your using the latest plugin version (1.0.9) you should be able to just click the upgrade button.


    If you cant install 1.0.9 or it does not upgrade you could do it manually but i don't want to say hear in case people muck up their installs and just say Miller "said to do it"
    PM me if you want instructions @chclark ONLY


    No need @jhmiller once i checked updates for omv and saw the plugin update i applied it and could use the update button in the sabnzbd section. all updated now. thank you very much for your time on this.

  • Hi guys,


    At SABNzbd v1.0 release, I was lucky not to upgrade directly and I was right : plugin needed some changes. I followed subzero79's instructions with the link to 1.0.7 patch version of the plugin. No problem and been able to upgrade.


    Now, SABNzbd v1.0.1 is available and I'm still running v1.0.7 patch of the plugin. Is it safe to upgrade or should I absolutely need to upgrade to v1.0.9 of the plugin as jhmiller said ? If so, anyone can post a link to it ?

  • So I've completed a fresh install of 2.2.5 and I'm trying to install the SABnzbd plugin but I'm getting this error 'Failed to get configuration (xpath=//services/ sabnzbd)' I've tried running commands in this thread but have been unable to fix it, any help is appreciated


    thanks


    steve h

  • I could not get any of the solutions above to work. A post I found here worked for me and I updated sab to version 1.1.0


    1) install the sab plugin as normal through gui


    2) ssh into OMV and open the file /var/lib/dpkg/info/openmediavault-sabnzbd.postinst


    Code
    nano /var/lib/dpkg/info/openmediavault-sabnzbd.postinst

    change the line that looks similar to

    Code
    STABLE=`wget -q http://sabnzbd.org/download/ -O - | \grep sourceforge\.net | grep Linux | \sed 's/.*href=\"\(.*\)\".*/\1/' | sed 's/.*-\(.*\)-.*/\1/'`

    to

    Code
    STABLE="1.1.0"

    ctrl o to write/save the file




    then ctrl x to exit


    finally force install



    Code
    apt-get install -f
  • Just tested the plugin and had no issues. The files are on github and SourceForge so should install.

    [align=center]
    What I am watching/watched on my Popcorn Hour media player
    omv 2.1.1 stoneburner | 64 bit | omvextrasorg 1.29
    MySQL (Percona[size=8]) | Newznab | Sonarr | CP | HP | NZBget | YAMJ | CUPS

  • I should have noted I am using OMV 3. Does that change anything for you?


    To the screen I received this error:"

    Code
    Failed to execute XPath query '/config/services/sabnzbd'. Failed to execute XPath query '/config/services/sabnzbd'.

    ...so I preceded to download the tar from sabnzbd's repo and I exploded it (following instructions from earlier in this thread), then I noticed that Couch had two empty directories in /opt/, so I uninstalled that plugin. Uninstalling that, finished installing sabnzbd. Weird.


    in the term.log this was listed:
    dpkg: error processing package openmediavault-sabnzbd (--configure):
    subprocess installed post-installation script returned error exit status 5
    Processing triggers for openmediavault (3.0.46) ...
    Restarting engine daemon ...
    Processing triggers for systemd (215-17+deb8u5) ...
    Errors were encountered while processing:
    openmediavault-sabnzbd

  • Hi,


    Completely lost here. I searched the forum but still cannot find the solution. Running a clean OMV 2.X and cannot get sabnzb to run even after searching the entire forum for "Failed to get configuration (xpath=//services/sabnzbd)".


    This is a clean install (yesterday) of OMV after running it for 2y + without issues.


    After installing it from the GUI I get "Failed to get configuration (xpath=//services/sabnzbd)".


    If I run apt-get -f install I get the following:


    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up openmediavault-sabnzbd (1.0.5) ...
    sabnzbd user already exists.
    dpkg: error processing openmediavault-sabnzbd (--configure):
    subprocess installed post-installation script returned error exit status 4
    Processing triggers for openmediavault ...
    Restarting engine daemon ...
    Errors were encountered while processing:
    openmediavault-sabnzbd
    Creating index of upgradeable packages ...
    Creating index of openmediavault plugins ...
    E: Sub-process /usr/bin/dpkg returned an error code (1)


    Still get the same error message from the GUI


    Error #3003:exception 'OMVException' with message 'Failed to get configuration (xpath=//services/sabnzbd)' in /usr/share/openmediavault/engined/module/sabnzbd.inc:57Stack trace:#0 /usr/share/openmediavault/engined/rpc/services.inc(63): OMVModuleSabnzbd->getStatus()#1 [internal function]: OMVRpcServiceServices->getStatus(Array, Array)#2 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)#3 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('getStatus', Array, Array)#4 /usr/sbin/omv-engined(500): OMVRpc::exec('Services', 'getStatus', Array, Array, 1)#5 {main}
    OKHide details


    Any ideas? Thanks.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!